Create or update a saved order
POST /api/v5/orders
Creates a saved order, or updates the existing one matching “order_id” (and import source). Either “order_id” or “transdirect_order_id” is required. Returns 201 when a new order is created and 200 when an existing order is returned or updated. Requires an API key.
Request Body
Section titled “Request Body ”object
Existing Transdirect order id to associate with; omit to create new.
External order reference from the source platform.
Structured delivery recipient details.
object
Delivery recipient name.
Delivery recipient email.
Delivery recipient phone number.
Delivery recipient full address.
Delivery recipient name (flat alias of delivery.name).
Delivery recipient email (flat alias of delivery.email).
Delivery recipient phone (flat alias of delivery.phone).
Delivery recipient address (flat alias of delivery.address).
Name of the buyer who placed the order.
Email of the buyer who placed the order.
Short summary of the goods purchased.
Raw serialised goods/line-item data from the source platform.
Source of the order import (e.g. “shopify”, “csv”).
Timestamp the order was purchased (ISO 8601).
Order sale price in AUD.
Courier string_id selected for the order, if any.
Shipping price for the selected courier, in AUD.
Timestamp the order was paid (ISO 8601).
Responses
Section titled “ Responses ”Existing or updated saved order
object
Order record identifier.
Linked Transdirect order id, if any.
Member who owns the order.
Current order status (e.g. “new”, “processing”, “completed”).
External order reference from the source platform.
Short summary of the goods purchased.
Raw serialised goods/line-item data from the source platform.
Source of the order import (e.g. “shopify”, “csv”).
Timestamp the order was imported (ISO 8601).
Timestamp the order was purchased (ISO 8601).
Courier string_id selected for the order.
Timestamp the order was paid (ISO 8601).
Name of the buyer who placed the order.
Email of the buyer who placed the order.
Delivery recipient details for the order.
object
Delivery recipient name.
Delivery recipient email.
Delivery recipient phone number.
Delivery recipient full address.
Timestamp the order was last updated (ISO 8601).
Created saved order
object
Order record identifier.
Linked Transdirect order id, if any.
Member who owns the order.
Current order status (e.g. “new”, “processing”, “completed”).
External order reference from the source platform.
Short summary of the goods purchased.
Raw serialised goods/line-item data from the source platform.
Source of the order import (e.g. “shopify”, “csv”).
Timestamp the order was imported (ISO 8601).
Timestamp the order was purchased (ISO 8601).
Courier string_id selected for the order.
Timestamp the order was paid (ISO 8601).
Name of the buyer who placed the order.
Email of the buyer who placed the order.
Delivery recipient details for the order.
object
Delivery recipient name.
Delivery recipient email.
Delivery recipient phone number.
Delivery recipient full address.
Timestamp the order was last updated (ISO 8601).
Invalid order body
object
Human-readable error message describing why the order request failed.
Missing or invalid API key
Booking-backed order create failed
object
Human-readable error message describing why the order request failed.